## org.eclipse.datatools.connectivity.sqm.core.definition
Interface IDatabaseRecognizer

All Known Implementing Classes:
  org.eclipse.datatools.connectivity.sqm.internal.core.definition.ConfigElementDatabaseRecognizer, DefaultDatabaseRecognizer

    public interface IDatabaseRecognizer

A database recognizer for determining the `DatabaseDefinition` instance that is appropriate for a given `Connection` object.
Its implementation class is required in the recognizer.class attribute of an extension that implements the `org.eclipse.datatools.connectivity.sqm.core.databaseRecognition` extension point.

Method Summary
`DatabaseDefinition` `recognize(java.sql.Connection connection)`

Method Detail

### recognize

    DatabaseDefinition recognize(java.sql.Connection connection)